Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl File List

Here is a list of all files with brief descriptions:

oscl_aostatus.h [code] | Some basic types used with active objects
oscl_assert.h [code] | The file oscl_assert.h provides an OSCL_ASSERT macro to document assumptions and test them during development
oscl_base.h [code] | The file oscl_base.h is the public header that should be included to pick up the platform configuration, basic type definitions, and common macros
oscl_base_alloc.h [code] | A basic allocator that does not rely on other modules
oscl_base_macros.h [code] | This file defines common macros and constants for basic compilation support
oscl_bin_stream.h [code] | Defines a set of binary stream classes which handle portable input / output of binary data regardless of the native byte order
oscl_byte_order.h [code] | This file defines functions providing byte ordering utility (e.g., switching between big and little endian orders)
oscl_defalloc.h [code] | The file defines simple default memory allocator classes. These allocators are used by the Oscl_Vector and Oscl_Map class, etc
oscl_dll.h [code] | Defines a DLL entry point
oscl_dns.h [code] | The file oscl_socket.h defines the OSCL DNS APIs
oscl_dns_gethostbyname.h [code] |
oscl_dns_imp.h [code] |
oscl_dns_imp_base.h [code] |
oscl_dns_imp_pv.h [code] |
oscl_dns_method.h [code] |
oscl_dns_param.h [code] |
oscl_dns_request.h [code] |
oscl_dns_tuneables.h [code] |
oscl_double_list.h [code] | Internal use types for scheduler
oscl_errno.h [code] | Defines functions to access additional information on errors where supported through an errno or similar service
oscl_error.h [code] | OSCL Error trap and cleanup include file
oscl_error_allocator.h [code] | Defines a memory allocation class used by the oscl error layer
oscl_error_codes.h [code] | Defines basic error and leave codes
oscl_error_imp.h [code] | Internal error implementation support
oscl_error_imp_cppexceptions.h [code] | Implementation File for Leave using C++ exceptions
oscl_error_imp_fatalerror.h [code] | Implementation File for Leave using system fatal error
oscl_error_imp_jumps.h [code] | Implemenation of using Setjmp / Longjmp
oscl_error_trapcleanup.h [code] | OSCL Error trap and cleanup implementation include file
oscl_exception.h [code] | Contains all the exception handling macros and classes
oscl_exclusive_ptr.h [code] | This file defines the OsclExclusivePtr template class. This class is used to avoid any potential memory leaks that may arise while returning from methods in case of error
oscl_file_async_read.h [code] |
oscl_file_cache.h [code] | The file oscl_file_cache.h defines the class OsclFileCache
oscl_file_dir_utils.h [code] | The file oscl_file_dir_utils.h defines some unix-style directory ops
oscl_file_find.h [code] | The file oscl_file_find.h defines the class Oscl_FileFind
oscl_file_handle.h [code] | The file oscl_file_handle.h defines the class OsclFileHandle
oscl_file_io.h [code] | The file oscl_file_io.h defines the class Oscl_File. This is the public API to the basic file I/O operations
oscl_file_manager.h [code] | File management class
oscl_file_native.h [code] | The file oscl_file_native.h defines the class OsclNativeFile. This is the porting layer for basic file I/O operations
oscl_file_server.h [code] | The file oscl_file_server.h defines the class Oscl_FileServer. This is the porting layer for file server implementations
oscl_file_stats.h [code] | File stats class
oscl_file_types.h [code] | The file oscl_file_types.h defines some constants and types for file I/O implementations. Anything that needs to be shared across implementation modules can go here
oscl_heapbase.h [code] | OSCL Heap Base include file
oscl_init.h [code] | Global oscl initialization
oscl_int64_utils.h [code] |
oscl_ip_socket.h [code] |
oscl_linked_list.h [code] | The file oscl_linked_list.h defines the template class Oscl_Linked_List which has a very similar API as the STL Vector class (it basically provides a subset of the STL functionality). Memory allocation is abstracted through the use of an allocator template parameter
oscl_lock_base.h [code] | This file defines an abstract lock class, OsclLockBase, that is used for APIs potentially requiring multi-thread safety. A null-lock implementation, OsclNullLock, is also provided for single-thread configurations (basically a noop for lock/unlock). Also provides the OsclScopedLock class which is template class takes care of freeing the lock when the class goes out of scope
oscl_map.h [code] | The file oscl_map.h defines the template class Oscl_Map which has a very similar API as the STL Map class (it basically provides a subset of the STL functionality). Memory allocation is abstracted through the use of an allocator template parameter
oscl_math.h [code] | Provides math functions
oscl_media_data.h [code] | Defines a container class for media data made up of a collection of memory fragments
oscl_media_status.h [code] | Defines a status values for the MediaData containers
oscl_mem.h [code] | This file contains basic memory definitions for common use across platforms
oscl_mem_align.h [code] |
oscl_mem_audit.h [code] | This file contains the definition and partial implementation of MM_Audit class
oscl_mem_audit_internals.h [code] | This file contains the internal definitions for the mem audit library
oscl_mem_auto_ptr.h [code] | This file defines the oscl_mem_auto_ptr template class. This class is used to avoid any potential memory leaks that may arise while returning from methods in case of error
oscl_mem_basic_functions.h [code] | This file contains prototypes for the basic memory functions
oscl_mem_inst.h [code] | The file defines default memory instrumentation level
oscl_mem_mempool.h [code] | This file contains the definition of memory pool allocators
oscl_mempool_allocator.h [code] | This file contains the definition of memory pool allocator for leave/trap
oscl_mutex.h [code] | This file provides implementation of mutex
oscl_namestring.h [code] | Name string class include file
oscl_opaque_type.h [code] | The file oscl_opaque_type.h defines pure virtual classes for working with opaque types
oscl_priqueue.h [code] | Implements a priority queue data structure similar to STL
oscl_procstatus.h [code] |
oscl_queue.h [code] | The file oscl_queue.h defines the template class Oscl_Queue. It is similar to the STL::queue class, with some differences: - less complete - based on array rather than a deque - some interfaces modeled on oscl_vector, for ease of transition Memory allocation is abstracted through the use of an allocator template parameter
oscl_rand.h [code] | Provides pseudo-random number generation
oscl_refcounter.h [code] | A general purpose reference counter to object lifetimes
oscl_refcounter_memfrag.h [code] | This file provides the definition of reference counted memory fragment, which provides access to a buffer and helps manage its manage its lifetime through the refcount
oscl_registry_access_client.h [code] | Client-side implementation Registry Access implementation
oscl_registry_client.h [code] | Client-side implementation of OsclRegistry
oscl_registry_client_impl.h [code] | Client-side implementation of OsclRegistryInterface
oscl_registry_serv_impl.h [code] | Server-side implementation of OsclRegistry interfaces
oscl_registry_serv_impl_global.h [code] |
oscl_registry_serv_impl_tls.h [code] |
oscl_registry_types.h [code] | Common types used in Oscl registry interfaces
oscl_scheduler.h [code] |
oscl_scheduler_ao.h [code] | Oscl Scheduler user execution object classes
oscl_scheduler_aobase.h [code] | Oscl Scheduler internal active object classes
oscl_scheduler_readyq.h [code] | Ready q types for oscl scheduler
oscl_scheduler_threadcontext.h [code] | Thread context functions needed by oscl scheduler
oscl_scheduler_tuneables.h [code] | Tuneable settings for Oscl Scheduler
oscl_scheduler_types.h [code] | Scheduler common types include file
oscl_semaphore.h [code] | This file provides implementation of mutex
oscl_shared_ptr.h [code] | This file defines a template class OsclSharedPtr which is a "smart pointer" to the parameterized type
oscl_singleton.h [code] | This file defines the OsclSingleton class. This class provides a container which used to give access to a set of process-level singleton objects. Each object is indexed by an integer ID, listed below. There can only be one instance of each object per process at a given time
oscl_snprintf.h [code] | Provides a portable implementation of snprintf
oscl_socket.h [code] | The file oscl_socket.h defines the OSCL Socket APIs
oscl_socket_accept.h [code] |
oscl_socket_bind.h [code] |
oscl_socket_connect.h [code] |
oscl_socket_imp.h [code] |
oscl_socket_imp_base.h [code] |
oscl_socket_imp_pv.h [code] |
oscl_socket_listen.h [code] |
oscl_socket_method.h [code] |
oscl_socket_recv.h [code] |
oscl_socket_recv_from.h [code] |
oscl_socket_request.h [code] |
oscl_socket_send.h [code] |
oscl_socket_send_to.h [code] |
oscl_socket_serv_imp.h [code] |
oscl_socket_serv_imp_base.h [code] |
oscl_socket_serv_imp_pv.h [code] |
oscl_socket_serv_imp_reqlist.h [code] |
oscl_socket_shutdown.h [code] |
oscl_socket_stats.h [code] |
oscl_socket_tuneables.h [code] |
oscl_socket_types.h [code] |
oscl_stdstring.h [code] | This file provides standard string operations such as strlen, strncpy, etc. ANSI defines undefined behavior when the destination pointer is null for operations such as strncpy, strncat, etc. But, we chose to define one. In such cases, we return the destination as null
oscl_str_ptr_len.h [code] | Defines a data structure for string containment/manipulations where the storage for the string is maintained externally
oscl_string.h [code] | Provides a standardized set of string containers that can be used in place of character arrays
oscl_string_containers.h [code] | Provides a standardized set of string containers that can be used in place of character arrays
oscl_string_rep.h [code] | Contains some internal implementation for string containers
oscl_string_uri.h [code] | Utilities to unescape URIs
oscl_string_utf8.h [code] | Utilities to validate and truncate UTF-8 encoded strings
oscl_string_utils.h [code] | Utilities to parse and convert strings
oscl_string_xml.h [code] | Utilities to escape special characters in XML strings
oscl_tagtree.h [code] | The file oscl_tagtree.h ..
oscl_tcp_socket.h [code] |
oscl_thread.h [code] |
oscl_tickcount.h [code] | Defines a data structure for string containment/manipulations where the storage for the string is maintained externally
oscl_time.h [code] | The file oscl_time.h defines to classes NTPTime and TimeValue for getting, manipulating, and formatting time values. The TimeValue class is based on the native system time format while NTPTime is used for the standard Network Time Protocol format
oscl_timer.h [code] |
oscl_tls.h [code] |
oscl_tree.h [code] | The file oscl_tree.h defines the template class Oscl_Rb_Tree which has a very similar API as the STL Tree class. It is an implementation of a Red-Black Tree for use by the Oscl_Map class. Memory allocation is abstracted through the use of an allocator template parameter
oscl_types.h [code] | This file contains basic type definitions for common use across platforms
oscl_udp_socket.h [code] |
oscl_utf8conv.h [code] | Utilities to convert unicode to utf8 and vice versa
oscl_uuid.h [code] | This file defines the OSCL UUID structure used for unique identifiers as well as the short (32-bit) identifiers OsclUid32
oscl_vector.h [code] | The file oscl_vector.h defines the template class Oscl_Vector which has a very similar API as the STL Vector class (it basically provides a subset of the STL functionality). Memory allocation is abstracted through the use of an allocator template parameter
osclconfig.h [code] | This file contains configuration information for the linux platform
osclconfig_ansi_memory.h [code] | This file contains common typedefs based on the ANSI C limits.h header
osclconfig_check.h [code] |
osclconfig_compiler_warnings.h [code] | This file contains the ability to turn off/on compiler warnings
osclconfig_error.h [code] | This file contains the common typedefs and header files needed to compile osclerror
osclconfig_error_check.h [code] |
osclconfig_global_new_delete.h [code] |
osclconfig_global_placement_new.h [code] |
osclconfig_io.h [code] | This file contains common typedefs based on the ANSI C limits.h header
osclconfig_io_check.h [code] |
osclconfig_ix86.h [code] | This file contains configuration information for the ix86 processor family
osclconfig_lib.h [code] | This file contains configuration information for the ANSI build
osclconfig_lib_check.h [code] |
osclconfig_limits_typedefs.h [code] | This file contains common typedefs based on the ANSI C limits.h header
osclconfig_memory.h [code] |
osclconfig_memory_check.h [code] |
osclconfig_no_os.h [code] |
osclconfig_proc.h [code] | This file contains configuration information for the linux platform
osclconfig_proc_check.h [code] |
osclconfig_proc_unix_android.h [code] |
osclconfig_proc_unix_common.h [code] |
osclconfig_time.h [code] |
osclconfig_time_check.h [code] |
osclconfig_unix_android.h [code] |
osclconfig_unix_common.h [code] |
osclconfig_util.h [code] |
osclconfig_util_check.h [code] |
pvlogger.h [code] | This file contains basic logger interfaces for common use across platforms
pvlogger_accessories.h [code] |
pvlogger_c.h [code] | This file contains basic logger interfaces for common use across platforms. C-callable version
pvlogger_registry.h [code] |